> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/workflows/designing-workflows/forms/form-components/panel.md).

# Panel

The **Panel** component acts as a container to group multiple other form components together. Use this component to logically organize related fields, improve form readability, and apply common styling, visibility, or conditional logic to a collection of elements.

## General properties

| Property                              | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| ------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| ID                                    | The identifier of the component, primarily used for client-side interactions and identification in the HTML structure of the form. When you add a component, an ID is automatically generated to ensure it is unique in the form.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| Label                                 | Text that appears above the form component in Collibra, briefly describing its purpose. This is the main title or question for the field.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| Store panel data into single variable | <p>This property controls how the data from the fields in this panel is stored.</p><ul><li>Not set: The values from the fields inside the panel are stored directly as individual variables in the <a href="/pages/EA2FIoQwHII4yTGI6hcr">scope</a> of the parent form. For example, if a field in the panel has the value set as <code>{{itemName}}</code>, its value is stored in the <code>itemName</code> variable in the parent form.</li><li><p>Set: All data from the fields inside the panel are collected and stored as a single LinkedHashMap variable as String. You must provide a variable name for the panel component. For example, if the panel variable is <code>{{itemDetails}}</code> and the panel contains fields that store data in <code>{{quantity}}</code> and <code>{{price}}</code>, the submitted data is stored as <code>itemDetails.quantity</code> and <code>itemDetails.price</code> in the single <code>itemDetails</code> variable.</p><p>To access data outside of the panel scope, use the following keywords to specify the outer scope:</p><p>$itemParentProvides read-only access to the parent scope data, for example <code>{{$itemParent.variableName}}</code>.$payloadProvides read and write access to the full workflow payload, for example <code>{{$payload.variableName}}</code>.</p></li></ul> |
| Tab Index                             | <p>The tabbing order of this component in a user task form. When navigating through the form by pressing the <kbd>Tab</kbd> key, the cursor moves from one component to another based on their assigned tab index numbers. The component with the lowest tab index number receives focus first. The focus then moves sequentially to the component with the next highest number. For example, a component with a tab index of <em>1</em> receives focus before a component with a tab index of <em>2</em>.</p><div data-gb-custom-block data-tag="hint" data-style="info" class="hint hint-info"><p>The tab index is ignored if the component is inside a subform.</p></div>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |

## Panel properties

| Property            | Description                                                                                                                                                                                                                                                                                   |
| ------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Collapsible         | <p>Whether users can collapse or expand the component in Collibra.</p><div data-gb-custom-block data-tag="hint" data-style="info" class="hint hint-info"><p>Enabling this option adds a + / - icon in the upper-right corner of the panel, allowing users to toggle its visibility.</p></div> |
| Initially collapsed | Whether the component is shown in a collapsed state when the form initially loads in Collibra.                                                                                                                                                                                                |

## Rendering properties

| Property | Description                                                                                                                                                                                                                                                                           |
| -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Ignored  | Whether the component is be hidden in the form and any value it might hold is not included in the submission data.                                                                                                                                                                    |
| Visible  | Whether the component is shown or hidden on the form. You can controlled this unconditionally or through an expression. For example, you can set an expression that hides or shows the component based on a user selection in another component. This property is enabled by default. |
| Enabled  | Whether the component is interactive or read-only on the form. When disabled, users cannot change the component value. This property is enabled by default.                                                                                                                           |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/workflows/designing-workflows/forms/form-components/panel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
